Bug 35174 - watch double-spaces long lines
Summary: watch double-spaces long lines
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: procps   
(Show other bugs)
Version: 1.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-04-08 10:00 UTC by Chris Rode
Modified: 2007-04-18 16:32 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-11 12:32:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Chris Rode 2001-04-08 10:00:28 UTC
More of an ugly annoyance than a bug, but...

If you have a long line of output (=width of screen), watch will insert a 
blank line between it and the next line.  This appears to be an off-by-one 
bug, which is fixed with the following patch:

--- procps-2.0.7/watch.c.orig   Mon Jul 10 13:50:02 2000
+++ procps-2.0.7/watch.c        Mon Aug 21 10:40:22 2000
@@ -224,7 +224,7 @@
       for (y=2; y<height; y++)
        { 
          int eolseen = 0, tabpending = 0;
-         for (x=0; x<width; x++)
+         for (x=0; x<=width; x++)
            { 
              int c = ' ';
              int attr = 0;

Comment 1 Alexander Larsson 2002-07-01 11:30:04 UTC
Fixed in procps 2.0.7-19


Note You need to log in before you can comment on or make changes to this bug.